org.eclipse.ease.ui.modules.ui

## Class ModulesTools.ModuleEntry<T>

- java.lang.Object
- - org.eclipse.ease.ui.modules.ui.ModulesTools.ModuleEntry<T>

Enclosing class:
  ModulesTools

    public static class ModulesTools.ModuleEntry<T>
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`ModuleEntry(ModuleDefinition module, T entry)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(java.lang.Object o)`
`T` `getEntry()`
`ModuleDefinition` `getModuleDefinition()`
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ModuleEntry

    public ModuleEntry(ModuleDefinition module,
                       T entry)

### Method Detail

#### getModuleDefinition

    public ModuleDefinition getModuleDefinition()

#### getEntry

    public T getEntry()

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`